Bug 457543 - Review Request: perl-IPTables-Parse - A Perl extension for parsing iptables firewall rulesets
Review Request: perl-IPTables-Parse - A Perl extension for parsing iptables f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 457544 457888
  Show dependency treegraph
 
Reported: 2008-08-01 09:02 EDT by Miloslav Trmač
Modified: 2010-10-11 14:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 11:12:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2008-08-01 09:02:22 EDT
Spec URL: http://people.redhat.com/mitr/packaging/perl-IPTables-Parse.spec
SRPM URL: http://people.redhat.com/mitr/packaging/perl-IPTables-Parse-0.6-1.fc9.src.rpm
Description:
The IPTables::Parse package provides an interface to parse iptables rules
on Linux systems through the direct execution of iptables commands, or from
parsing a file that contains an iptables policy listing. You can get the
current policy applied to a table/chain, look for a specific user-defined
chain, check for a default DROP policy, or determing whether or not logging
rules exist.
Comment 1 Parag AN(पराग) 2008-08-04 00:59:44 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=756386
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
03fcd2d010db1b7190f7e257124cb278  IPTables-Parse-0.6.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=1,  0 wallclock secs ( 0.00 usr  0.00 sys +  0.01 cusr  0.00 csys =  0.01 CPU)
+ Package  perl-IPTables-Parse-0.6-1.fc10 =>
  Provides:  perl(IPTables::Parse) = 0.5
  Requires: perl >= 0:5.006 perl(Carp) perl(strict) perl(vars) perl(warnings)

APPROVED.
Comment 2 Miloslav Trmač 2008-08-05 04:03:11 EDT
New Package CVS Request
=======================
Package Name: perl-IPTables-Parse
Short Description: Perl extension for parsing iptables firewall rulesets
Owners: mitr
Branches: F-9
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-05 12:20:05 EDT
cvs done.
Comment 4 Miloslav Trmač 2008-08-06 11:12:37 EDT
Thanks for the review!
Comment 5 Mark Chappell 2010-10-11 14:15:17 EDT
Package Change Request
======================
Package Name: perl-IPTables-Parse
New Branches: EL-5 EL-6
Owners: tremble 
InitialCC: perl-sig

Permission to branch from mitr on #fedora-devel (times in CEST)

Oct 11 20:00:02 <tremble>       mitr : Would you be willing to branch perl-IPTables-Parse for EPEL (EL5+), alternatively would you be happy for me to branch it?
Oct 11 20:04:20 <mitr>  tremble: I don't use the package much - I'd be happy to let you maintain the EL5 branch, or even take over the package if you plan to do changes.  I'd rather not maintain an EL5 branch myself.
Comment 6 Kevin Fenzi 2010-10-11 14:23:28 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.